# Is there a swagger file for the new EdgeConnect API?
# How does it differ from the EdgeXR API?
kind: edgeconnect-deployment
metadata:
  name: "edge-app-demo" # name could be used for appName
  appVersion: "1"
  organization: "edp2-orca"
spec:
  # dockerApp: # Docker is OBSOLETE
  #   appVersion: "1.0.0"
  #   manifestFile: "./docker-compose.yaml"
  #   image: "https://registry-1.docker.io/library/nginx:latest"
  k8sApp:
    manifestFile: "./k8s-deployment.yaml"
  infraTemplate:
    - region: "US"
      cloudletOrg: "TelekomOp"
      cloudletName: "gardener-shepherd-test"
      flavorName: "defualt"
  network:
    outboundConnections:
      - protocol: "tcp"
        portRangeMin: 80
        portRangeMax: 80
        remoteCIDR: "0.0.0.0/0"
      - protocol: "tcp"
        portRangeMin: 443
        portRangeMax: 443
        remoteCIDR: "0.0.0.0/0"
